> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Notification

> Create a new notification for a user



## OpenAPI

````yaml /openapi.json post /notification
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /notification:
    post:
      tags:
        - Notifications
      summary: Create Notification
      description: Create a new notification for a user
      operationId: createNotification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  nullable: true
                message:
                  type: string
                  nullable: true
                type:
                  type: string
                eventData:
                  type: object
                  additionalProperties: true
                  nullable: true
                relatedEntityId:
                  type: string
                relatedEntityType:
                  type: string
              required:
                - type
      responses:
        '200':
          description: Notification created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  title:
                    type: string
                    nullable: true
                  content:
                    type: string
                    nullable: true
                  type:
                    enum:
                      - info
                      - task_created
                      - workspace_created
                      - task_status_changed
                      - task_assignee_changed
                      - time_entry_created
                      - due_date_reminder
                      - task_overdue
                      - task_mention
                    type: string
                  eventData:
                    type: object
                    additionalProperties: true
                    nullable: true
                  isRead:
                    type: boolean
                  resourceId:
                    type: string
                  resourceType:
                    enum:
                      - task
                      - workspace
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - userId
                  - title
                  - content
                  - type
                  - eventData
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````